﻿#region Copyright Syncfusion Inc. 2001 - 2016
// Copyright Syncfusion Inc. 2001 - 2016. All rights reserved.
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// licensing@syncfusion.com. Any infringement will be prosecuted under
// applicable laws. 
#endregion
using Syncfusion.Windows.Shared;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace NestedCollection
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow 
    {
        public MainWindow()
        {
            InitializeComponent();
            this.treeGrid.Loaded += TreeGrid_Loaded;
        }

        private void TreeGrid_Loaded(object sender, RoutedEventArgs e)
        {
            // to get the view root node of treeGrid            
            var rootnode = this.treeGrid.View.Nodes[0];
            // whether the root node is expanded or not, if root node is not expanded, then it will expand using ExpandNode() method.
            if (!rootnode.IsExpanded)
                this.treeGrid.ExpandNode(rootnode);
            //to get the childnode
            var childnode = this.treeGrid.View.Nodes[0].ChildNodes[0];
            // to check and expand the childnode
            if (!childnode.IsExpanded)
                this.treeGrid.ExpandNode(childnode);
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            var VM = (this.treeGrid.DataContext as ViewModel).PersonDetails;
            VM.Insert(1, new PersonInfo() { Id = 101, FirstName = "Jack", LastName = "Sparrow", MyEyeColor = "Red", DOB = new DateTime(2010, 3, 21) });
        }
    }    
}
